Apple Remote Desktop < 3.5.3 / 3.6.1 Information Disclosure (Mac OS X)

This script is Copyright (C) 2012 Tenable Network Security, Inc.


Synopsis :

The Mac OS X host has a remote management tool that is affected by an
information disclosure vulnerability.

Description :

According to its version, the Admin component in the Apple Remote
Desktop install on the remote host reportedly fails to encrypt data
and does not issue a warning when connecting to a third-party VNC
server with 'Encrypt all network data' set. This could lead to
information disclosure.

See also :

http://support.apple.com/kb/HT5433
http://lists.apple.com/archives/security-announce/2012/Aug/msg00000.html
http://lists.apple.com/archives/security-announce/2012/Sep/msg00002.html

Solution :

Upgrade to Apple Remote Desktop 3.5.3 / 3.6.1 or later.

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:N)
CVSS Temporal Score : 3.6
(CVSS2#E:F/RL:OF/RC:C)
Public Exploit Available : true

Family: MacOS X Local Security Checks

Nessus Plugin ID: 61621 ()

Bugtraq ID: 55100

CVE ID: CVE-2012-0681